<?php
/**
 * @package Drag and Sort
 */
/*
Plugin Name: Drag and Sort
Description: drag and drop posts ordering
Author: Francesco Lentini
Author URI: http://www.spugna.org/tpk
Version: 0.1
*/
define('HPSORT', WP_PLUGIN_URL . '/' . plugin_basename(dirname(__FILE__)));
require('includes/HPSClass.php');

add_action('admin_menu', 'HPSort::init_admin_menu');
add_action('admin_init', 'HPSort::add_ajax_calls');

if(get_option('hps_enabled')==='true') {
	add_action('pre_get_posts', 'HPSort::get_hps_post', 1);
	add_filter('posts_orderby', 'HPSort::order_hps_posts');	
}